Class | XSD::XSDBase64Binary
In: | xsd/datatypes.rb
Parent: | XSDAnySimpleType

### Methods

new set_encoded string

### Constants

Type | = | QName.new(Namespace, Base64BinaryLiteral)

### Public Class methods

new(value = nil)

String in Ruby could be a binary.

[Source]

    # File xsd/datatypes.rb, line 903
      def initialize(value = nil)
        init(Type, value)
      end

### Public Instance methods

set_encoded(value)

[Source]

    # File xsd/datatypes.rb, line 907
      def set_encoded(value)
        if /^[A-Za-z0-9+\/=]*$/ !~ value
          raise ValueSpaceError.new("#{ type }: cannot accept '#{ value }'.")
        end
        @data = String.new(value).strip
        @is_nil = false
      end

string()

[Source]

    # File xsd/datatypes.rb, line 915
      def string
        @data.unpack("m")[0]
      end

[Validate]